=== debian/changelog ===
rapidfuzz-cpp (3.0.2-3) unstable; urgency=medium

  * Switch to arch: any, as the generated CMake* files are different on
    32- and 64-bit architectures

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Apr 2024 10:52:18 +0100

rapidfuzz-cpp (3.0.2-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 21:36:05 +0100

rapidfuzz-cpp (3.0.2-1) unstable; urgency=low

  * Initial release (closes: #1019431)

 -- Julian Gilbey <jdg@debian.org>  Wed, 06 Mar 2024 08:51:12 +0000
