=== debian/control ===
Source: rapidfuzz-cpp
Section: libs
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: catch2,
               cmake,
               debhelper-compat (= 13),
               doxygen
Standards-Version: 4.6.2
Homepage: https://github.com/maxbachmann/RapidFuzz
Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
Rules-Requires-Root: no
Description: Rapid fuzzy string matching library
 RapidFuzz is a fast string matching library for Python and C++,
 providing Levenshtein and other distances.  This is similar to the
 functionality of the python3-fuzzywuzzy package.  There are a few
 significant differences between these packages:
 .
 1) RapidFuzz is MIT licensed.
 2) RapidFuzz provides many string metrics, such as Hamming and Jaro-Winkler,
    which are not included in FuzzyWuzzy.
 3) RapidFuzz is mostly written in C++, and has further algorithmic
    improvements to make string matching even faster.
 4) RapidFuzz fixes multiple bugs in the `partial_ratio` implementation.

Package: librapidfuzz-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}
Description: ${source:Synopsis} (C++ header files)
 ${source:Extended-Description}
 .
 This package provides the C++ header files for RapidFuzz.

Package: librapidfuzz-cpp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: librapidfuzz-cpp-dev
Description: ${source:Synopsis} (C++ library documentation)
 ${source:Extended-Description}
 .
 This package contains the RapidFuzz C++ library documentation in HTML format.
Build-Profiles: <!nodoc>
