=== debian/changelog ===
rapidfuzz-cpp (3.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sun, 14 Jul 2024 07:17:49 +0100

rapidfuzz-cpp (3.0.2-5) unstable; urgency=medium

  * Only run tests when building arch package and build doc when building
    arch-indep package

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Apr 2024 06:42:27 +0100

rapidfuzz-cpp (3.0.2-4) unstable; urgency=medium

  * Fix install locations for arch: any -dev package; allows this package
    to be Multi-Arch: same
  * Fix documentation build (depend on bibtex)

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Apr 2024 22:35:18 +0100
