=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: catch2,
-               cmake,
-               debhelper-compat (= 13),
-               doxygen
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: catch2 <!nocheck>,
+                    cmake
+Build-Depends-Indep: doxygen,
+                     graphviz,
+                     texlive-binaries
+Standards-Version: 4.7.0
 Homepage: https://github.com/maxbachmann/RapidFuzz
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
 Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
@@ -27,7 +29,7 @@
 Package: librapidfuzz-cpp-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: no
+Multi-Arch: same
 Depends: ${misc:Depends}
 Description: ${source:Synopsis} (C++ header files)
  ${source:Extended-Description}
