## rapidfuzz-cpp 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
     message(FATAL_ERROR "Building in-source is not supported! Create a build dir and remove ${CMAKE_SOURCE_DIR}/CMakeCache.txt")
 endif()
 
-project(rapidfuzz LANGUAGES CXX VERSION 3.0.5)
+project(rapidfuzz LANGUAGES CXX VERSION 3.1.1)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 include(GNUInstallDirs)
