=== debian/changelog ===
rapidfuzz-cpp (3.1.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/control: Require catch2 3.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Dec 2024 13:48:08 -0500

rapidfuzz-cpp (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * Change maintainer to Debian Python Team with me as Uploader (always my
    intention, but somehow didn't do it when I first packaged it)

 -- Julian Gilbey <jdg@debian.org>  Tue, 19 Nov 2024 06:55:05 +0000
