=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rapidfuzz-cpp
 Section: libs
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: catch2 <!nocheck>,
+Build-Depends-Arch: catch2 (>= 3.2) <!nocheck>,
                     cmake
 Build-Depends-Indep: doxygen,
                      graphviz,
