=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: catch2 (>= 3.2) <!nocheck>,
+Build-Depends-Arch: catch2 <!nocheck>,
                     cmake
 Build-Depends-Indep: doxygen,
                      graphviz,
