=== debian/changelog ===
rapidfuzz-cpp (3.3.2-1) unstable; urgency=medium

  * New upstream version
  * Fix Vcs-* locations in d/control

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:28:54 +0100
