=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Build-Depends-Indep: doxygen,
                      graphviz,
                      texlive-binaries
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/maxbachmann/RapidFuzz
-Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
-Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz-cpp
+Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz-cpp.git
 Rules-Requires-Root: no
 Description: Rapid fuzzy string matching library
  RapidFuzz is a fast string matching library for Python and C++,
